Bug 563001 - Review Request: xfce4-remmina-plugin - Xfce panel plugin for remmina remote desktop client
Review Request: xfce4-remmina-plugin - Xfce panel plugin for remmina remote d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On: 553402
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-08 19:17 EST by Christoph Wickert
Modified: 2010-03-31 21:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: xfce4-remmina-plugin-0.7.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-18 09:00:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dmaphy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2010-02-08 19:17:02 EST
Spec URL: http://cwickert.fedorapeople.org/review/remmina-xfce.spec
SRPM URL: http://cwickert.fedorapeople.org/review/remmina-xfce-0.7.1-1.fc13.src.rpm
Description: Remmina is a remote desktop client written in GTK+, aiming to be useful for system administrators and travellers, who need to work with lots of remote computers in front of either large monitors or tiny netbooks. Remmina supports multiple network protocols in an integrated and consistant user interface. Currently RDP, VNC, XDMCP and SSH are supported.
Comment 1 Christoph Wickert 2010-02-08 20:29:14 EST
I decided to rename this to xfce4-remmina-plugin for more consistency with the other Xfce plugins. I also added a virtual provides on the upstream name for easier installation.

Spec: http://cwickert.fedorapeople.org/review/xfce4-remmina-plugin.spec
SRPM: http://cwickert.fedorapeople.org/review/xfce4-remmina-plugin-0.7.1-1.fc13.src.rpm
Comment 2 Dominic Hopf 2010-02-10 15:13:55 EST
Seems you forgot to rename the %{srcname} macro to the new name?
I'll do the review on the weekend.
Comment 3 Christoph Wickert 2010-02-11 12:14:53 EST
(In reply to comment #2)
> Seems you forgot to rename the %{srcname} macro to the new name?

No, this is intended. Because after renaming the package %{name} no longer matches the upstream name, I introduced %{srcname} to have a macro for the upstream/source name.
Comment 4 Dominic Hopf 2010-02-14 13:39:55 EST
$ rpmlint xfce4-remmina-plugin.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/dmaphy/rpmbuild/SRPMS/xfce4-remmina-plugin-0.7.1-1.fc12.src.rpm
xfce4-remmina-plugin.src: W: spelling-error Summary(en_US) Xfce -> Face, Xref, Feces
xfce4-remmina-plugin.src: W: spelling-error %description -l en_US netbooks -> net books, net-books, pocketbooks
xfce4-remmina-plugin.src: W: spelling-error %description -l en_US Xfce -> Face, Xref, Feces
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint /home/dmaphy/rpmbuild/RPMS/x86_64/xfce4-remmina-plugin-0.7.1-1.fc12.x86_64.rpm /home/dmaphy/rpmbuild/RPMS/x86_64/xfce4-remmina-plugin-debuginfo-0.7.1-1.fc12.x86_64.rpm
xfce4-remmina-plugin.x86_64: W: spelling-error Summary(en_US) Xfce -> Face, Xref, Feces
xfce4-remmina-plugin.x86_64: W: spelling-error %description -l en_US netbooks -> net books, net-books, pocketbooks
xfce4-remmina-plugin.x86_64: W: spelling-error %description -l en_US Xfce -> Face, Xref, Feces
xfce4-remmina-plugin.x86_64: W: incoherent-version-in-changelog 0.7.1 ['0.7.1-1.fc12', '0.7.1-1']
xfce4-remmina-plugin-debuginfo.x86_64: W: spelling-error Summary(en_US) xfce -> face, xref, feces
xfce4-remmina-plugin-debuginfo.x86_64: W: spelling-error %description -l en_US xfce -> face, xref, feces
xfce4-remmina-plugin-debuginfo.x86_64: E: debuginfo-without-sources


The spelling errors can be ignored. Xfce is actually correctly spelled and
netbook is a common term.

Please fix the incoherent-version-in-changelog message, the release is missing
there.

The debuginfo-without-sources message can also be ignored.


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Specfile name matches %{name}.spec
 [x] Package seems to meet Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
     supported architecture.
     Tested on: Fedora 12/x86_64
 [x] Rpmlint output:
     source RPM: see above
     binary RPM: see above
 [x] Package is not relocatable.
 [x] License in specfile matches actual License and meets Licensing Guidelines
     License: GPLv2+
 [x] License file is included in %doc.
 [x] Specfile is legible and written in AE
 [x] Sourcefile in the Package is the same as provided in the mentioned Source
     SHA1SUM of Source: 7a7726dc22c3e68b45f7b4e0c2c8e5f361207e74
 [x] Package compiles successfully
 [x] All build dependencies are listed in BuildRequires
 [x] Specfile handles locales properly
 [-] ldconfig called in %post and %postun if required
 [x] Package owns directorys it creates
 [-] Package requires other packages for directories it uses.
 [x] Package does not list a file more than once in the %files listing
 [x] %files section includes %defattr and permissions are set properly
 [x] %clean section is there and contains rm -rf $RPM_BUILD_ROOT
 [x] Macros are consistently used
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage
 [x] Program runs properly without files listed in %doc
 [-] Header files are in a -devel package
 [-] Static libraries are in a -static package
 [-] Package requires pkgconfig if .pc files are present
 [-] .so-files are put into a -devel subpackage
 [-] Subpackages include fully versioned dependency for the base package
 [x] Any libtool archives (*.la) are removed
 [x] contains desktop file (%{name}.desktop) if it is a GUI application
 [!] Package does not own files or directories owned by other packages.
 [x] $RPM_BUILD_ROOT is removed at beginning of %install
 [-] Filenames are encoded in UTF-8

=== SUGGESTED ITEMS ===
 [x] Package contains latest upstream version
 [x] Package does not include license text files separate from upstream.
 [-] non-English translations for description and summary
 [x] Package builds in mock
     Tested on: F12/x86_64
 [x] Package should compile and build into binary RPMs on all supported architectures.
     tested build with koji
 [x] Program runs
 [-] Scriptlets must be sane, if used.
 [-] pkgconfig (*.pc) files are placed in a -devel package
 [-] require package providing a file instead of the file itself
     no files outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin are required

Issues found:
 - The wildcard for the desktop-file in the %files-section is not okay. That
   would match any desktop-file in /usr/share/xfce4/panel-plugins/. I'd suggest
   to write it as:
   %{_datadir}/xfce4/panel-plugins/%{srcname}-plugin.desktop
   since there actually only this desktopfile is installed.
 - The release is missing in your changelog message, see above.

Anything else looks fine, I will approve the package as soon the mentioned issues
are fixed.
Comment 5 Christoph Wickert 2010-02-14 14:00:56 EST
(In reply to comment #4)

>  - The wildcard for the desktop-file in the %files-section is not okay. That
>    would match any desktop-file in /usr/share/xfce4/panel-plugins/. 

No it wont. The %files section only applies to the package/the files in buildroot but not to the installed package or the rpmdb. Run rpm -ql xfce4-remmina-plugin or rpm -qf %{_datadir}/xfce4/panel-plugins/* to test.
Comment 6 Dominic Hopf 2010-02-14 14:34:19 EST
You might be right was that, but please see my whole explanation why I suggested to not use the wildcard: I do not see any reason to use a wildcard to list just one file. It would confuse any other maintainer who may  has to build that package and let him think there is more than one desktop file. I still prefer to see that fixed before you import the package into CVS. The package is APPROVED anyway.
Comment 7 Christoph Wickert 2010-02-14 16:16:32 EST
I will fix the changelog before build. The reason for the wildcart was that I'm lazy and I maintain a lot of xfce panel plugins.

New Package CVS Request
=======================
Package Name: xfce4-remmina-plugin - 
Short Description: Xfce panel plugin for remmina remote desktop client
Owners: cwickert
Branches: F-12
InitialCC:
Comment 8 Kevin Fenzi 2010-02-15 22:51:51 EST
CVS done (by process-cvs-requests.py).
Comment 9 Christoph Wickert 2010-02-18 09:15:21 EST
I need to wait with the updates because remmina is still not reviewed.
Comment 10 Christoph Wickert 2010-03-15 21:23:42 EDT
Package Change Request
======================
Package Name: xfce4-remmina-plugin
New Branches: F-11
Owners: cwickert
Comment 11 Kevin Fenzi 2010-03-17 14:12:34 EDT
cvs done.
Comment 12 Fedora Update System 2010-03-17 14:50:38 EDT
xfce4-remmina-plugin-0.7.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xfce4-remmina-plugin-0.7.2-1.fc12
Comment 13 Fedora Update System 2010-03-17 14:51:00 EDT
xfce4-remmina-plugin-0.7.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xfce4-remmina-plugin-0.7.2-1.fc11
Comment 14 Fedora Update System 2010-03-17 14:52:33 EDT
xfce4-remmina-plugin-0.7.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xfce4-remmina-plugin-0.7.2-1.fc13
Comment 15 Fedora Update System 2010-03-22 22:08:48 EDT
xfce4-remmina-plugin-0.7.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-03-31 21:51:31 EDT
xfce4-remmina-plugin-0.7.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-03-31 21:52:05 EDT
xfce4-remmina-plugin-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.